//
//  UpcomingNewListPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/11/12.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "UpcomingNewListPostCmd.h"
#import "UpcomingNewListHttpResult.h"

static NSString *kActionUrl1 = @"/MobileApp/MobileAgent";

@implementation UpcomingNewListPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UpcomingNewListPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UpcomingNewListHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpUpcomingNewListPostCmd_key = @"key";
NSString *const kHttpUpcomingNewListPostCmd_userCode = @"userCode";
NSString *const kHttpUpcomingNewListPostCmd_pageNo = @"pageNo";
NSString *const kHttpUpcomingNewListPostCmd_pageSize = @"pageSize";
NSString *const kHttpUpcomingNewListPostCmd_type = @"type";
